#include<stdio.h>
#include<opencv/cv.h>
#include<opencv/highgui.h>

int main(int argc, char **argv)
{
	int i;
	CvCapture *capture;
	IplImage *src_img, *dst_img, *dst_img2;

	capture = cvCreateCameraCapture(atoi(argv[1]));
	cvSetCaptureProperty(capture, CV_CAP_PROP_FRAME_WIDTH, 640);
	cvSetCaptureProperty(capture, CV_CAP_PROP_FRAME_HEIGHT, 480);

	if((src_img = cvQueryFrame (capture)) == NULL){
		printf("camera_error\n");
		return -1;
	}

	dst_img = cvCreateImage(cvGetSize(src_img),IPL_DEPTH_8U,1);
	dst_img2 = cvCreateImage(cvGetSize(src_img),IPL_DEPTH_8U,1);

	cvNamedWindow("CannyImage", CV_WINDOW_AUTOSIZE);

	while(1){
		if((src_img = cvQueryFrame (capture)) == NULL){
			printf("camera_error\n");
			return -1;
		}

		cvCvtColor(src_img, dst_img, CV_BGR2GRAY);

		cvCanny(dst_img, dst_img2, 50.0, 200.0, 3);

		cvShowImage("CannyImage", dst_img2);
		cvWaitKey(2);
	}

	cvReleaseCapture(&capture);
	cvReleaseImage(&dst_img);
	cvReleaseImage(&dst_img2);
	cvDestroyWindow("CannyImage");

	return 0;
}
